Name:           perl-NetAddr-IP
Version:        4.027
Release:        5%{?dist}
Summary:        Manages IPv4 and IPv6 addresses and subnets
# Upstream explicitly gave permission for us to distribute under Artistic 2.0
# Will be reflected in next release.
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetAddr-IP/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIKER/NetAddr-IP-%{version}.tar.gz
Source1:        License_of_perl-NetAddr-IP.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an object-oriented abstraction on top of IP addresses
or IP subnets, that allows for easy manipulations. Version 4.xx of
NetAdder::IP will will work older versions of Perl and does not use
Math::BigInt as in previous versions.

%prep
%setup -q -n NetAddr-IP-%{version}
cp %{SOURCE1} .
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* 
sed -e '/^perl(NetAddr::IP.*)  /d'
EOF

%global __perl_provides %{_builddir}/NetAddr-IP-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/^perl(NetAddr::IP::Util)  /d'
EOF

%global __perl_requires %{_builddir}/NetAddr-IP-%{version}/%{name}-req 
chmod +x %{__perl_requires}

# Fix UTF-8
iconv -f ISO_8859-1 -t UTF-8 -o tmp.pm IP.pm &&
mv -f tmp.pm IP.pm
iconv -f ISO_8859-1 -t UTF-8 -o tmp.pm Lite/Lite.pm &&
mv -f tmp.pm Lite/Lite.pm
iconv -f ISO_8859-1 -t UTF-8 -o README.new README &&
mv -f README.new README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO docs/rfc1884.txt License_of_perl-NetAddr-IP.txt
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/NetAddr*
%{_mandir}/man3/*

%changelog
* Fri Apr  1 2011 Petr Sabata <psabata@redhat.com> - 4.027-5
- Enable tests
- Related: rhbz#524225

* Thu Mar 10 2011 Petr Sabata <psabata@redhat.com> - 4.027-4
- EL5 initial import
- Resolves: rhbz#524225

* Wed Feb 17 2010 Marcela Mašláňová <mmaslano@redhat.com> - 4.027-3
- make rpmlint happy
- Related: rhbz#543948

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 4.027-2
- rebuild against perl 5.10.1

* Wed Sep 16 2009 Warren Togami <wtogami@redhat.com> - 4.027-1
- 4.027

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.007-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.007-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.007-3
- fix license tag

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.007-2
- rebuild for new perl

* Tue Feb 12 2008 Andreas Thienemann <athienem@redhat.com> 4.007-1
- Updated to 4.007
- Rebuilt against gcc-4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 4.004-4
- Rebuild for selinux ppc32 issue.

* Tue Jul 10 2007 Andreas Thienemann <andreas@bawue.net> 4.004-3
- Fixed missing BR on rawhide

* Thu Apr 26 2007 Andreas Thienemann <andreas@bawue.net> 4.004-2
- Moar docs!

* Thu Apr 12 2007 Andreas Thienemann <andreas@bawue.net> 4.004-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleand up for FE
